{% extends 'base.html.twig' %}

{% block body %}
    <main class="container">
        <section>
            <div class="row">
                <div class="col-md-12 offset-1">
                    <h2 class="display-4 py-4">Détail de la peinture</h2>
                </div>
                <div class="col-md-12">
                    <img class="mw-100 img--paint" src="{{ asset('img/painting/' ~ paint.image) }}" alt="{{ paint.title }}">
                </div>
                <div class="col-md-8">
                    <h3 class="display-4 pt-4">{{ paint.title|capitalize }}</h3>
                    <a href="{{ path('app_author', {id: paint.author.id}) }}" class="display-7 mb-5 pb-4"> - {{ paint.author.name }} - </a>
                    <h4 class="mt-5">
                        {% if app.user in paint.favorites %}
                            <a class="liked-btn" href="{{ path('app_favorite', {id: paint.id}) }}"><i class="icofont-heart-alt"></i></a>
                        {% else %}
                            <a class="like-btn" href="{{ path('app_favorite', {id: paint.id}) }}"><i class="icofont-heart-alt"></i></a>
                        {% endif %}
                        Likes: {{ paint.favorites|length }}
                    </h4>
                    <h4>
                        {% if app.user in paint.cart %}
                            <a class="liked-btn" href="{{ path('app_addCart', {id: paint.id}) }}"><i class="icofont-shopping-cart"></i></a>
                        {% else %}
                            <a class="like-btn" href="{{ path('app_addCart', {id: paint.id}) }}"><i class="icofont-shopping-cart"></i></a>
                        {% endif %}
                        - {{ paint.price|form_encode_currency('EUR') }}€ - Ajouter au panier
                    </h4>
                    <h4>Création: {{ paint.createdAt|date('d/m/Y') }}</h4>
                    <h5>Catégorie: {{ paint.category.name }}</h5>
                    <h5>Technique: {{ paint.technical.name }}</h5>
                    <p class="lead">{{ paint.description }}</p>
                    <p>
                        <a href="#" class="btn btn-primary">Ajouter au panier</a>
                    </p><p>
                        <a href="{{ path('home') }}" class="btn btn-outline-dark">Retour à la gallerie</a>
                    </p>
                </div>
            </div>
        </section>


        <section>
            <h2>Commentaires</h2>
            <div>
                {% if app.user %}
                {{ form_start(form) }}
                {{ form_widget(form) }}
                <button type="submit" class="btn btn-outline-secondary">Poster</button>
                {{ form_end(form) }}
                {% else %}
                <p>Vous devez être connecté pour poster un commentaire</p>
                {% endif %}
            </div>
            <div class="row">
                {% for com in coms %}
                        <div class="card col-md-12 mt-5">
                            <div class="card-body">
                                <h4>{{ com.name }}</h4>
                                <p>{{ com.content }}</p>
                                <small>{{ com.createdAt|date }}</small>
                            </div>
                        </div>
                {% endfor %}
            </div>
        </section>
    </main>

{% endblock body %}